View Issue Details

IDProjectCategoryView StatusLast Update
0016504FPCCompilerpublic2010-05-19 21:55
ReporterJan Van hijfte Assigned ToMarco van de Voort  
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
OSlinux 
Product Version2.5.1 
Fixed in Version2.6.0 
Summary0016504: zipinstall does not always work
Descriptionexplanation
http://lists.freepascal.org/lists/fpc-devel/2010-May/019917.html

so order of tar parameters should be fixed.
below is a proposed patch, works for me on linux,
mind you I do no understand the file I modified.

proposed patch:
===================================================================
--- utils/fpcm/fpcmake.inc (revision 15289)
+++ utils/fpcm/fpcmake.inc (working copy)
@@ -2006,7 +2006,7 @@
   'ZIPCMD_CDBASE:=cd $(sub','st /,$(ZIPPATHSEP),$(BASEDIR))'0000010+
   'ifdef USETAR'0000010+
   'ZIPDESTFILE:=$(DIST_DESTDIR)/$(FULLZIPNAME)$(TAREXT)'0000010+
- 'ZIPCMD_ZIP:=$(TARPROG) cf$(TAROPT) $(ZIPDESTFILE) *'0000010+
+ 'ZIPCMD_ZIP:=$(TARPROG) c$(TAROPT)f $(ZIPDESTFILE) *'0000010+
   'else'0000010+
   'ZIPDESTFILE:=$(DIST_DESTDIR)/$(FULLZIPNAME)$(ZIPEXT)'0000010+
   'ZIPCMD_ZIP:=$(subst /,$(ZIPPATHSE','P),$(ZIPPROG)) -Dr $(ZIPOPT) $(ZIPD'+

TagsNo tags attached.
Fixed in Revision15290,15294
FPCOldBugId
FPCTarget
Attached Files

Activities

Marco van de Voort

2010-05-17 22:23

manager   ~0037704

Committed, change will proliferate on next global regen of makefiles.

Note that fpcmake.ini is the master file of fpcmake.inc. Fpcmake.inc is never edited, since it is agenerated file.

Jan Van hijfte

2010-05-18 23:27

reporter   ~0037754

thx for fixing, I now stumbled on exactly the same problem with the test suite. Will this fix also fix that ? It happened when trying "make TEST_FPC=/usr/lib/fpc/2.5.1/ppcarm uploadrun" --> "/bin/tar cfz MyDevice-02-8-201005182324.tar.gz --files-from=tar.lst"

Marco van de Voort

2010-05-19 09:22

manager   ~0037760

Done.

Jan Van hijfte

2010-05-19 21:55

reporter   ~0037798

thx for the excellent and speedy service :-)

Issue History

Date Modified Username Field Change
2010-05-17 21:58 Jan Van hijfte New Issue
2010-05-17 22:23 Marco van de Voort Fixed in Revision => 15290
2010-05-17 22:23 Marco van de Voort Status new => resolved
2010-05-17 22:23 Marco van de Voort Fixed in Version => 2.5.1
2010-05-17 22:23 Marco van de Voort Resolution open => fixed
2010-05-17 22:23 Marco van de Voort Assigned To => Marco van de Voort
2010-05-17 22:23 Marco van de Voort Note Added: 0037704
2010-05-18 23:27 Jan Van hijfte Status resolved => feedback
2010-05-18 23:27 Jan Van hijfte Resolution fixed => reopened
2010-05-18 23:27 Jan Van hijfte Note Added: 0037754
2010-05-19 09:22 Marco van de Voort Fixed in Revision 15290 => 15290,15294
2010-05-19 09:22 Marco van de Voort Status feedback => resolved
2010-05-19 09:22 Marco van de Voort Resolution reopened => fixed
2010-05-19 09:22 Marco van de Voort Note Added: 0037760
2010-05-19 21:55 Jan Van hijfte Status resolved => closed
2010-05-19 21:55 Jan Van hijfte Note Added: 0037798